import type { Arguments, Argv } from 'yargs';
export declare type Program = Argv;
export type { Arguments };
export declare type Parser = (argv?: string[]) => Promise<Arguments>;
export declare type Context = {
    program: Program;
    parse: Parser;
};
export declare const GIT_COMMITMSG_PATH = "./.git/COMMIT_EDITMSG";
export declare const LOCAL_SPELLCHECKIGNORE_PATH = "./.spellcheckignore";
export declare const LOCAL_VSCODE_SETTINGS_PATH = "./.vscode/settings.json";
export declare const GLOBAL_SPELLCHECKIGNORE_PATH: string;
export declare const GLOBAL_VSCODE_SETTINGS_PATH: string;
/**
 * Create and return a pre-configured Yargs instance (program) and argv parser.
 */
export declare function configureProgram(): Context;
/**
 * Configure an existing Yargs instance (program) and return an argv parser.
 *
 * @param program A Yargs instance to configure
 */
export declare function configureProgram(program: Program): Context;
